PersistentMemberDetails (Apache Geode 1.3.0)
Date: 2017-10-26

org.apache.geode.management

## Class PersistentMemberDetails

- java.lang.Object
- - org.apache.geode.management.PersistentMemberDetails

-     public class PersistentMemberDetails
      extends java.lang.Object

  Composite data type used to distribute attributes for the missing disk store of a persistent member.
  Since:
    GemFire 7.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersistentMemberDetails(java.lang.String host, java.lang.String directory, java.lang.String diskStoreId)` This constructor is to be used by internal JMX framework only.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDirectory()` Returns the directory in which the `DiskStore` is saved.
    `java.lang.String` | `getDiskStoreId()` Returns the ID of the `DiskStore`.
    `java.lang.String` | `getHost()` Returns the name or IP address of the host on which the member is running.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersistentMemberDetails

          @ConstructorProperties(value={"host","directory","diskStoreId"})
          public PersistentMemberDetails(java.lang.String host,
                                                                                                          java.lang.String directory,
                                                                                                          java.lang.String diskStoreId)

      This constructor is to be used by internal JMX framework only. User should not try to create an instance of this class.

  - ### Method Detail

    - #### getHost

          public java.lang.String getHost()

      Returns the name or IP address of the host on which the member is running.

    - #### getDirectory

          public java.lang.String getDirectory()

      Returns the directory in which the `DiskStore` is saved.

    - #### getDiskStoreId

          public java.lang.String getDiskStoreId()

      Returns the ID of the `DiskStore`.